Cyberduck Mountain Duck CLI

#4315 closed defect (worksforme)

Deleting S3 folders created with ExpanDrive fails

Reported by: eric.shapiro@… Owned by: dkocher
Priority: normal Milestone: 3.7
Component: s3 Version: 3.4.1
Severity: normal Keywords:
Cc: eric.shapiro@… Architecture: Intel
Platform: Mac OS X 10.6

Description

I am able to successfully select a file and delete it from S3. But if I select a folder with nested folders and files... and choose delete... it deletes all the files, but does not delete the folders.

Change History (7)

comment:1 Changed on Apr 1, 2010 at 6:05:56 PM by dkocher

  • Component changed from core to s3
  • Platform set to Mac OS X 10.6
  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this issue. What application have you used to create these folders?

comment:2 Changed on Apr 20, 2010 at 12:02:07 AM by shapoops

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Was using ExpanDrive to create the folders.

Seems to work fine when created with Cyberduck.

comment:3 Changed on Apr 23, 2010 at 6:33:57 AM by yla

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:4 Changed on Apr 23, 2010 at 1:27:18 PM by dkocher

  • Milestone set to 3.5
  • Resolution worksforme deleted
  • Status changed from closed to reopened

We'll have to investigate what metadata ExpanDrive uses for virtual folders and if we can then eventually support their configuration.

comment:5 Changed on May 25, 2010 at 12:52:29 PM by dkocher

  • Milestone 3.5 deleted

I do not own a license for ExpanDrive and cannot currently test this.

comment:6 Changed on Jul 13, 2010 at 11:37:09 AM by dkocher

  • Architecture set to Intel
  • Summary changed from Can't delete S3 folders to Deleting S3 folders created with ExpanDrive fails

comment:7 Changed on Oct 17, 2010 at 3:14:19 PM by dkocher

  • Milestone set to 3.7
  • Resolution set to worksforme
  • Status changed from reopened to closed

We have added more compatibility options for placeholder folders recently. Please try the latest nightly build.

Note: See TracTickets for help on using tickets.
swiss made software